> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.monite.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server.

# Get all line items of a credit note

GET https://api.sandbox.monite.com/v1/payable_credit_notes/{credit_note_id}/line_items

Reference: https://docs.monite.com/api/credit-notes/get-payable-credit-notes-id-line-items

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.sandbox.monite.com/v1` (sandbox, default)
- `https://api.monite.com/v1` (eu_production)
- `https://us.api.monite.com/v1` (na_production)

## Request

### Path parameters

- `credit_note_id` (string, required)

### Query parameters

- `order` (enum, optional) — Sort order (ascending by default). Typically used together with the `sort` parameter.
  - Allowed values: `asc`, `desc`
- `limit` (integer, optional, default: 100) — The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.
- `pagination_token` (string, optional) — A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If `pagination_token` is specified, all other query parameters are ignored and inferred from the initial query. If not specified, the first page of results will be returned.
- `sort` (enum, optional) — The field to sort the results by. Typically used together with the `order` parameter.
  - Allowed values: `id`, `created_at`, `name`, `total`, `quantity`, `unit_price`
- `created_at__gt` (datetime, optional)
- `created_at__lt` (datetime, optional)
- `created_at__gte` (datetime, optional)
- `created_at__lte` (datetime, optional)
- `name` (string, optional)
- `name__iexact` (string, optional)
- `name__contains` (string, optional)
- `name__icontains` (string, optional)
- `description` (string, optional)
- `description__contains` (string, optional)
- `description__icontains` (string, optional)
- `total__gt` (integer, optional)
- `total__lt` (integer, optional)
- `total__gte` (integer, optional)
- `total__lte` (integer, optional)
- `subtotal__gt` (integer, optional)
- `subtotal__lt` (integer, optional)
- `subtotal__gte` (integer, optional)
- `subtotal__lte` (integer, optional)
- `unit_price__gt` (integer, optional)
- `unit_price__lt` (integer, optional)
- `unit_price__gte` (integer, optional)
- `unit_price__lte` (integer, optional)
- `quantity__gt` (double, optional)
- `quantity__lt` (double, optional)
- `quantity__gte` (double, optional)
- `quantity__lte` (double, optional)
- `tax__gt` (integer, optional)
- `tax__lt` (integer, optional)
- `tax__gte` (integer, optional)
- `tax__lte` (integer, optional)
- `tax_amount__gt` (integer, optional)
- `tax_amount__lt` (integer, optional)
- `tax_amount__gte` (integer, optional)
- `tax_amount__lte` (integer, optional)
- `created_by_user_id` (string, optional)
- `unit` (string, optional)
- `unit__iexact` (string, optional)
- `source` (string, optional)
- `source_id` (string, optional)

### Headers

- `x-monite-version` (string, required)
- `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource.

## Response

### 200

Successful Response

- `data` (list of CreditNoteLineItemResponse, required) — List of credit note line items for the current page
- `next_pagination_token` (string, optional) — Token to retrieve the next page of results
- `prev_pagination_token` (string, optional) — Token to retrieve the previous page of results

## Errors

### 401 Get Payable Credit Notes ID Line Items Request Unauthorized Error

Unauthorized

- `error` (ErrorSchema2, required)

### 403 Get Payable Credit Notes ID Line Items Request Forbidden Error

Forbidden

- `error` (ErrorSchema2, required)

### 404 Get Payable Credit Notes ID Line Items Request Not Found Error

Not found

- `error` (ErrorSchema2, required)

### 422 Get Payable Credit Notes ID Line Items Request Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

### 500 Get Payable Credit Notes ID Line Items Request Internal Server Error

Internal Server Error

- `error` (ErrorSchema2, required)

## Types

### CreditNoteLineItemResponse

Schema for credit note line item response. Includes all fields that can be returned from the API.

- `id` (string, required) — Unique identifier of the line item
- `created_at` (datetime, required) — Timestamp when the line item was created
- `updated_at` (datetime, required) — Timestamp when the line item was last updated
- `credit_note_id` (string, required) — ID of the parent credit note
- `created_by_user_id` (string, optional) — ID of the user who created the line item
- `description` (string, optional) — Detailed description of the line item
- `name` (string, optional) — Name or title of the line item
- `quantity` (double, optional) — Quantity of items
- `subtotal` (integer, optional) — Subtotal amount before tax
- `tax` (integer, optional) — Tax percentage
- `tax_amount` (integer, optional) — Tax amount
- `total` (integer, optional) — Total amount including tax
- `unit` (string, optional) — Unit of measurement
- `unit_price` (integer, optional) — Price per unit in smallest currency unit

### ErrorSchema2

- `message` (string, required)

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItem

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "created_at": "2024-01-15T14:30:00Z",
      "updated_at": "2024-01-15T14:30:00Z",
      "credit_note_id": "123e4567-e89b-12d3-a456-426614174000",
      "created_by_user_id": "123e4567-e89b-12d3-a456-426614174000",
      "description": "Premium version of Product XYZ with extended warranty",
      "name": "Product XYZ",
      "quantity": 2,
      "subtotal": 10000,
      "tax": 20,
      "tax_amount": 2000,
      "total": 12000,
      "unit": "pieces",
      "unit_price": 5000
    }
  ],
  "next_pagination_token": "eyJwYWdlIjoyfQ==",
  "prev_pagination_token": "eyJwYWdlIjoxfQ=="
}
```

**SDK Code**

```python
import requests

url = "https://api.sandbox.monite.com/v1/payable_credit_notes/credit_note_id/line_items"

headers = {
    "x-monite-version": "2024-01-31",
    "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sandbox.monite.com/v1/payable_credit_notes/credit_note_id/line_items';
const options = {
  method: 'GET',
  headers: {
    'x-monite-version': '2024-01-31',
    'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4',
    Authorization: 'Bearer <token>'
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sandbox.monite.com/v1/payable_credit_notes/credit_note_id/line_items"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-monite-version", "2024-01-31")
	req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sandbox.monite.com/v1/payable_credit_notes/credit_note_id/line_items")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-monite-version"] = '2024-01-31'
request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sandbox.monite.com/v1/payable_credit_notes/credit_note_id/line_items")
  .header("x-monite-version", "2024-01-31")
  .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sandbox.monite.com/v1/payable_credit_notes/credit_note_id/line_items', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4',
    'x-monite-version' => '2024-01-31',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sandbox.monite.com/v1/payable_credit_notes/credit_note_id/line_items");
var request = new RestRequest(Method.GET);
request.AddHeader("x-monite-version", "2024-01-31");
request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-monite-version": "2024-01-31",
  "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/payable_credit_notes/credit_note_id/line_items")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```